Subject: bug#55612: closed (Re: [bug#55612] [PATCH 0/2] Update guile-hall to 0.4.1.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 21 Jul 2022 15:56:02 +0000

Your bug report

#55612: [PATCH 0/2] Update guile-hall to 0.4.1.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
55612: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=55612
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#55612] [PATCH 0/2] Update guile-hall to 0.4.1.
From: Ricardo Wurmus <[email-masked]>
To: Taiju HIGASHI <[email-masked]>
Cc: [email-masked]
Date: Thu, 21 Jul 2022 17:54:10 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Taiju HIGASHI <[email-masked]> writes:

> Hi Ricardo,
>
>>> The GWL now supports guile-config 0.5.x.  My apologies for the delay.
>>>
>>> Taiju Higashi, could you please update your patch so that it updates to
>>> guile-config 0.5.1?  Once ready I can apply it.  Thanks!
>>>
>>> (The GWL should get a new release soon, but that shouldn’t block this
>>> issue.)
>>
>> I sent the patch. However, the GWL build fails.
>> I also made a patch for GWL package definitions.
>> If there are problems with the GWL patch, please ignore this patch.
>
> Is there a problem with the patch I sent you?
> Please let me know if there is any work left for me to do.

I applied your patches to update guile-config and guile-hall.
I had already fixed the problem in the GWL and made a new release
today; I then updated the gwl package.

Thanks for your patience!

-- 
Ricardo

Subject: [PATCH 0/2] Update guile-hall to 0.4.1.
From: Taiju HIGASHI <[email-masked]>
To: [email-masked]
Cc: Taiju HIGASHI <[email-masked]>
Date: Tue, 24 May 2022 22:26:40 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Since I wanted to update guile-hall to 0.4.1, I tried to update the dependent
library guile-config to 0.5.0. However, the incompatible change of
guile-config 0.5.0 made it impossible to build gwl. Therefore, I would like to
address this by temporarily adding a variant called guile-config-0.5.

Cheers

Taiju HIGASHI (2):
  gnu: Add guile-config-0.5.
  gnu: guile-hall: Update to 0.4.1.

 gnu/packages/guile-xyz.scm | 27 ++++++++++++++++++++++-----
 1 file changed, 22 insertions(+), 5 deletions(-)

--
2.36.0